import org.junit.jupiter.api.Assertions.*
import org.junit.jupiter.api.Test

internal class MainKtTest {

    @Test
    fun `groupCommentLines groups two adjacent lines`() {
        val lines = listOf(1, 2)

        assertEquals(listOf(listOf(1, 2)), groupCommentLines(lines))
    }

    @Test
    fun `groupCommentLines doesn't group two non adjacent lines`() {
        val lines = listOf(1, 3)

        assertEquals(listOf(listOf(1), listOf(3)), groupCommentLines(lines))
    }

    @Test
    fun `groupCommentLines groups larger groups`() {
        val lines = listOf(1, 2, 3, 4, 5)

        assertEquals(listOf(listOf(1, 2, 3, 4, 5)), groupCommentLines(lines))
    }

    @Test
    fun `groupCommentLines groups multiple groups`() {
        val lines = listOf(1, 2, 3, 5, 6, 7)

        assertEquals(listOf(listOf(1, 2, 3), listOf(5, 6, 7)), groupCommentLines(lines))
    }

    @Test
    fun `groupCommentLines without any comments`() {
        val lines = emptyList<Int>()

        assertEquals(emptyList<List<Int>>(), groupCommentLines(lines))
    }
}